<?php
$content = $this->content;
$setting = $this->setting;
$type    = $setting->getSetting( 'type', 'video' );
?>

<h2 class="ipbe-field-title py10"><?php _e( 'Optin Form Design', 'wp-popper-pro' ); ?></h2>

<?php
//Form Layout
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-form-layout"><?php _e( 'Form Layout', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
        <select name="form_layout" input="input-form-layout">
            <?php
            $layout  = $setting->getSetting( 'form_layout', 'block' );
            $options = array(
                'block'     => __( 'Block', 'wp-popper-pro' ),
                'inline'    => __( 'Inline', 'wp-popper-pro' )
            );
            foreach( $options as $key => $label ) 
            {
                $sltd = '';
                if ( $layout == $key ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
        </select>

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'Set the form layout to inline or block style.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

<?php
//Background Color
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-form-bgcolor"><?php _e( 'Input Background Color', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
        <input type="text" class="ipcpop-color-picker" id="input-form-bgcolor" name="form_bgcolor" value="<?php echo $setting->getSetting( 'form_bgcolor', '#f9f9f9' ); ?>" />

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The background color of the form input.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

<?php
// Color
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-form-color"><?php _e( 'Input Text Color', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
        <input type="text" class="ipcpop-color-picker" id="input-form-color" name="form_color" value="<?php echo $setting->getSetting( 'form_color', '#333333' ); ?>" />

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The background color of the form input.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

<?php
//Border
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-form-border-width"><?php _e( 'Input Border', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
        <div class="ipbe-input-group mr5">
            <?php
            $bowidth = $setting->getSetting( 'form_border_width' );
            $bocolor = $setting->getSetting( 'form_border_color', '#eeeeee' );
            $bostyle = $setting->getSetting( 'form_border_style', 'solid' );
            ?>
            <input type="text" id="input-form-border-width" class="ipbe-input ipbe-input-xxs" name="form_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipbe-input-addon">px</div>
        </div>
        <input type="text" class="ipcpop-color-picker" id="input-form-border-color" name="form_border_color" value="<?php echo $bocolor; ?>" />
        <select name="form_border_style" input="input-form-border-style">
            <?php
            $options = array(
                'solid'     => __( 'Solid', 'wp-popper-pro' ),
                'dashed'    => __( 'Dashed', 'wp-popper-pro' ),
                'dotted'    => __( 'Dotted', 'wp-popper-pro' ),
                'double'    => __( 'Double', 'wp-popper-pro' )
            );
            foreach( $options as $key => $label ) 
            {
                $sltd = '';
                if ( $bostyle == $key ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
        </select>

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The border that surrounds the form input.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

<?php
//Border radius
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-form-border-radius"><?php _e( 'Input Border Radius', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">

        <select name="form_border_radius" id="input-form-border-radius">
        <?php
        $current = $setting->getSetting( 'form_border_radius', 'none' );
        $styles  = array(
            'none' => __( 'None', 'wp-popper-pro' ),
            'sm'   => __( 'Small', 'wp-popper-pro' ),
            'md'   => __( 'Medium', 'wp-popper-pro' ),
            'lg'   => __( 'Large', 'wp-popper-pro' )
        );
        foreach( $styles as $key => $label ) {
            $sltd = '';
            if ( $key == $current ) {
                $sltd = ' selected="selected"';
            }
            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
        }
        ?>
        </select>

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The border radius of the form input.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>
    
    <?php
    //Font Size
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-form-font-size"><?php _e( 'Input Font Size', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $font_size = $setting->getSetting( 'form_font_size', 14 );
                ?>
                <input type="text" id="input-form-font-size" class="ipbe-input ipbe-input-xxs" name="form_font_size" value="<?php echo $font_size; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font size of the form input.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Font Family
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-form-font-family"><?php _e( 'Input Font Family', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <?php
            $current = $setting->getSetting( 'form_font_family', 'roboto' );
            $fonts   = IPCPop_Font::getOptions();
            $fname   = IPCPop_Font::getFontName( $current );
            ?>
            <span class="ipbe-font-family">
                <div class="ipbe-menu ipbe-fancy-option">
                    <div class="ipbe-selected">
                        <div class="ipbe-selected-box">
                            <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                        </div>
                        <span class="toggle"></span>
                    </div>
                    <div class="ipbe-select" style="display: none;">
                        <div class="ipbe-select-content">
                            <ul class="clearfix">
                                <?php 
                                foreach( $fonts as $fkey => $label ) :
                                ?>
                                    <li data-select="<?php echo $fkey; ?>">
                                        <strong class="ipbe-select-label">
                                            <?php echo $label; ?>
                                        </strong>
                                    </li>
                                <?php
                                endforeach;
                                ?>
                            </ul>
                        </div>
                    </div>
                    <input type="hidden" name="form_font_family" class="ipbe-input-select" value="<?php echo $current; ?>" />
                </div>
            </span>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font family of the form input.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Button Style
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-form-button-style"><?php _e( 'Submit Button Style', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select name="form_button_style" id="input-form-button-style">
                <?php
                $current = $setting->getSetting( 'form_button_style', 'flat' );
                $styles  = array(
                    'flat'     => __( 'Flat', 'wp-popper-pro' ),
                    'gradient' => __( 'Gradient', 'wp-popper-pro' ),
                    'rounded'  => __( 'Rounded', 'wp-popper-pro' )
                );
                foreach( $styles as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The style of the form submit button.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Button Color
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-form-button-color"><?php _e( 'Submit Button Color', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select name="form_button_color" id="input-form-button-color">
                <?php
                $current = $setting->getSetting( 'form_button_color', 'clean' );
                $colors  = array(
                        'clean'    => __( 'Clean', 'wp-popper-pro' ),
                        'dark'     => __( 'Dark', 'wp-popper-pro' ),
                        'red'      => __( 'Red', 'wp-popper-pro' ),
                        'blue'     => __( 'Blue', 'wp-popper-pro' ),
                        'green'    => __( 'Green', 'wp-popper-pro' ),
                        'orange'   => __( 'Orange', 'wp-popper-pro' ),
                        'gold'     => __( 'Gold', 'wp-popper-pro' ),
                        'aqua'     => __( 'Aqua', 'wp-popper-pro' ),
                        'purple'   => __( 'Purple', 'wp-popper-pro' ),
                        'lime'     => __( 'Lime', 'wp-popper-pro' )
                );
                foreach( $colors as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The color of the form submit button.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Button Size
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-form-button-size"><?php _e( 'Submit Button Size', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select name="input-form-button-size" id="form_button_size">
                <?php
                $current = $setting->getSetting( 'form_button_size', 'md' );
                $sizes   = array(
                        'xs'  => __( 'Extra Small', 'wp-popper-pro' ),
                        'sm'  => __( 'Small', 'wp-popper-pro' ),
                        'md'  => __( 'Medium', 'wp-popper-pro' ),
                        'lg'  => __( 'Large', 'wp-popper-pro' )
                );
                foreach( $sizes as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The size of the form submit button.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>