<?php
$content = $this->content;
$setting = $this->setting;
?>

<h3 class="ipbe-field-title py10"><?php _e( 'Buy Button Settings', 'wp-popper-pro' ); ?></h3>

<?php
//Activate buy button
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-activate-buy-button"><?php _e( 'Show/Hide Buy Button', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
        
        <div class="ipbe-btn-onoff">
            <?php
            $val = $setting->getSetting( 'activate_buy_button', 'false' );
            if ( $val == 'false' ) {
                $clon  = '';
                $cloff = ' ipbe-btn-danger active';
            } else {
                $clon  = ' ipbe-btn-success active';
                $cloff = '';
            }
            ?>
            <div class="ipbe-btn-group">
                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp-popper-pro' ); ?></button>
                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp-popper-pro' ); ?></button>
            </div>
            <input type="hidden" class="ipbe-onoff-value" name="activate_buy_button" value="<?php echo $val; ?>" />
        </div>
        
        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'Specifies whether to display the buy button.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

    <?php
    //Input Image
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-buy-button-image"><?php _e( 'Buy Button Image', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <div class="ipbe-upload-image ipbe-clear">
                <div class="ipbe-upload-preview">
                    <?php
                    $setimg = false;
                    if ( $setting ) {
                        if ( $attach_id = $setting->getSetting( 'buy_button_image' ) ) {
                            $setimg = true;
                            $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                        }
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipbe-hide">' . __( 'No image', 'wp-popper-pro' ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', 'wp-popper-pro' ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                    ?>
                </div>
                
                <div class="ipbe-image-field">
                    <div class="ipbe-select-image">
                        <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp-popper-pro' ); ?></p>
                        <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo' ); ?>"
                          data-update="<?php esc_attr_e( 'Choose photo' ); ?>">
                            <i class="ibe ibe-image"></i>
                            <?php _e( 'Select Photo', 'wp-popper-pro' ); ?>
                        </a>
                        <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                            <i class="ibe ibe-ban"></i>
                            <?php _e( 'Clear Photo', 'wp-popper-pro' ); ?>
                        </a>
                    </div>
                    <input type="hidden" name="upload_type" class="ipbe-upload-type" value="buy_button_image" />
                    <input type="hidden" name="buy_button_image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                </div>
            </div>
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The image of the buy button.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Button URL
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-buy-button-url"><?php _e( 'Buy Button URL', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <input type="text" id="input-buy-button-url" class="ipbe-input ipbe-input-full" name="buy_button_url" value="<?php echo $setting->getSetting( 'buy_button_url' ); ?>">
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                     <?php _e( 'The URL for the buy button.', 'wp-popper-pro' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Open Link
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-buy-button-newtab"><?php _e( 'Open Link in New Tab', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
        
            <div class="ipbe-btn-onoff mr10">
                <?php
                $val = $setting->getSetting( 'buy_button_newtab', 'true' );
                if ( $val == 'false' ) {
                    $clon  = '';
                    $cloff = ' ipbe-btn-danger active';
                } else {
                    $clon  = ' ipbe-btn-success active';
                    $cloff = '';
                }
                ?>
                <div class="ipbe-btn-group">
                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp-popper-pro' ); ?></button>
                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp-popper-pro' ); ?></button>
                </div>
                <input type="hidden" class="ipbe-onoff-value" name="buy_button_newtab" value="<?php echo $val; ?>" />
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                     <?php _e( 'Determine whether to open the link in a new tab when the user clicks the link.', 'wp-popper-pro' ); ?>
                 </div>
             </div>
        </div>
    </div>
    
    <?php
    //Input Size
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-buy-button-width"><?php _e( 'Size', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $width = $setting->getSetting( 'buy_button_width' );
                ?>
                <div class="ipbe-input-addon">Width</div>
                <input type="text" id="input-buy-button-width" class="ipbe-input ipbe-input-xxs" name="buy_button_width" value="<?php echo $width; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            <span class="mx5">X</span>
            <div class="ipbe-input-group">
                <?php
                $height = $setting->getSetting( 'buy_button_height' );
                ?>
                <div class="ipbe-input-addon">Height</div>
                <input type="text" id="input-buy-button-height" class="ipbe-input ipbe-input-xxs" name="buy_button_height" value="<?php echo $height; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The size (in pixel) of the buy button.', 'wp-popper-pro' ); ?>
                 </div>
             </div>
        </div>
    </div>