<?php
$content = $this->content;
?>
<div id="ipcpop-section-statistic" class="ipbe-tab-content">
    <div class="ipbe-tab-inner">
        
        <div class="ipbe-title-content ipbe-hide">
            <i class="ibe ibe-line-chart"></i>
            <div class="ipbe-title-text">
                <h3><?php _e( 'Statistic', 'wp-popper-pro' ); ?></h3>
                <p><?php _e( 'Statistic of your content popup.', 'wp-popper-pro' ); ?></p>
            </div>
        </div>
        
        <div class="ipbe-fields">

<?php
$model      = new IPCpop_Model();
$pid        = $content->ID;
$views      = $model->get_stat_value( $pid, 'view' );
$subscribes = $model->get_stat_value( $pid, 'subscribe' );
$buys       = $model->get_stat_value( $pid, 'buy' );
$socials    = $model->get_stat_value( $pid, 'social' );
?>
<div class="ipbe-admin-stat">
    <div class="ipbe-stat-filter ipbe-clear">
        <div class="ipbe-stat-nav">
            <div class="container container-fluid">
                <ul class="row">
                    <li class="col-sm-3 ipbe-nav-view ipbe-nav-blue active">
                        <a href="#stat-view">
                            <i class="ibe ibe-eye"></i>
                            <span class="stat-value">
                                <strong><?php echo number_format( $views ); ?></strong>
                                <em><?php _e( 'Views', 'wp-popper-pro' ); ?></em>
                            </span>
                        </a>
                    </li>
                    <li class="col-sm-3 ipbe-nav-subscribe ipbe-nav-red">
                        <a href="#stat-subscribe">
                            <i class="ibe ibe-users"></i>
                            <span class="stat-value">
                                <strong><?php echo number_format( $subscribes ); ?></strong>
                                <em><?php _e( 'Subscribes', 'wp-popper-pro' ); ?></em>
                            </span>
                        </a>
                    </li>
                    <li class="col-sm-3 ipbe-nav-buy ipbe-nav-orange">
                        <a href="#stat-buy">
                            <i class="ibe ibe-shopping-cart"></i>
                            <span class="stat-value">
                                <strong><?php echo number_format( $buys ); ?></strong>
                                <em><?php _e( 'Button Buy Clicks', 'wp-popper-pro' ); ?></em>
                            </span>
                        </a>
                    </li>
                    <li class="col-sm-3 ipbe-nav-social ipbe-nav-green">
                        <a href="#stat-social">
                            <i class="ibe ibe-share-alt"></i>
                            <span class="stat-value">
                                <strong><?php echo $socials; ?></strong>
                                <em><?php _e( 'Social Button Clicks', 'wp-popper-pro' ); ?></em>
                            </span>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="ipbe-date-filter">
            <form action="" method="post">
                <input type="hidden" id="value-pageid" name="pageid" value="<?php echo $content->ID; ?>" />
                <input type="hidden" id="value-stat-type" name="stat_type" value="view" />
                <?php
                $dateStart = date('m/d/Y');
                $dateEnd   = date('m/d/Y'); 
                ?>
                <strong><?php _e( 'Filter By Date', 'wp-popper-pro' ); ?>: </strong>
                <span class="ipbe-date-input">
                    <input type="text" id="date-start" name="cdatestart" value="<?php echo $dateStart; ?>" />
                    -
                    <input type="text" id="date-end" name="cdateend" value="<?php echo $dateEnd; ?>" />
                </span>
                <span class="ipbe-do-filter">
                    <input type="submit" id="do-filter-date" class="button button-primary" name="do_filter_date" value="<?php _e( 'Go', 'wp-popper-pro' ); ?>" />
                </span>
            </form>
        </div>
    </div>

    <div class="ipbe-stat-main">
        <h4><?php _e( 'Views Statistic', 'wp-popper-pro' ); ?></h4>
        <div class="ipbe-stat-chart">
        
            <script type="text/javascript" src="https://www.google.com/jsapi"></script>
            <script type="text/javascript">
                google.load("visualization", "1", {packages:["corechart"]});
                google.setOnLoadCallback(drawChart);
                function drawChart() {
                    
                    var dataTable = new google.visualization.DataTable();
                    dataTable.addColumn( 'date', '<?php _e( 'Date', 'wp-popper-pro' ); ?>' );
                    dataTable.addColumn( 'number', '<?php _e( 'Views', 'wp-popper-pro' ); ?>' );
                    
                    var rows = [
                    <?php
                    $stdata = $model->get_statistic_data( $content->ID, 'view' );
                    if ( $stdata ) {
                        foreach( $stdata as $data ) {
                            $timestamp = strtotime( $data->gdate );
                            $phpdate   = getdate($timestamp);
                            
                            echo '[new Date(' 
                                    . $phpdate['year'] . ', '
                                    . ( $phpdate['mon']  - 1 ) . ', '
                                    . $phpdate['mday'] . ',0,0,0), '
                                    . $data->value
                                . '],';
                        }
                    }
                    ?>
                    ];
                    dataTable.addRows( rows );
                    
                    var options = {
                        series: [{pointSize:6}]
                    };
                    var chart = new google.visualization.LineChart(document.getElementById('ipcpop-chart-div'));
                    chart.draw(dataTable, options);
                }
            </script>
            
            <div id="ipcpop-chart-div" class="ipbe-chart-main" style="width: 100%; height: 500px;"></div>
            <div class="ipbe-chart-load" style="display: none;">
                <?php
                $plgurl = plugin_dir_url( dirname(__FILE__) );
                $src    = $plgurl . 'img/loading.gif';
                ?>
                <img src="<?php echo $src; ?>" alt="Loading..." />
            </div>
            
        </div>
    </div>
</div>
        
        </div>
        
    </div>
</div>