<?php
$setting    = $this->setting;
$main_class = $this->get_main_class();
$main_style = $this->get_main_style();
$layout     = $setting->getSetting( 'product_content_style', 'image_left' );
?>
<div class="ipcpop_content ipcpop_content_product ipcpop_product_<?php echo $layout; ?>">
    <div class="ipcpop_main <?php echo $main_class; ?>" style="<?php echo $main_style; ?>">
        
        <div class="ipcpop_clear">
            <div class="ipcpop_product_thumbnail">
                <?php
                if ( $imageid = $setting->getSetting( 'product_image' ) ) 
                {
                    $data   = wp_get_attachment_image_src( $imageid, 'full' );
                    $src    = $data[0];
                    $imgtag = '<img src="' . $src . '" alt="">';
                    echo $imgtag;
                }
                ?>
            </div>
            <div class="ipcpop_product_main">
                <h3 class="ipcpop_product_title">
                    <?php
                    $title = $setting->getSetting( 'product_title' );
                    if ( $url = $setting->getSetting( 'product_url' )) {
                        echo '<a href="' . $url . '">' . $title . '</a>';
                    } else {
                        echo $title;
                    }
                    ?>
                </h3>
                
                <?php
                if ( $price = $setting->getSetting( 'product_price' )) :
                ?>
                    <div class="ipcpop_product_price">
                        <?php echo $price; ?>
                    </div>
                <?php
                endif;
                ?>
                
                <div class="ipcpop_product_desc">
                    <?php
                    echo $setting->getSetting( 'product_info' );
                    ?>
                </div>
                <?php
                $button = $setting->getSetting( 'product_button' ); 
                if ( $button && $url ) 
                {
                    $btnstyle = $setting->getSetting( 'product_button_style', 'flat' );
                    $btncolor = $setting->getSetting( 'product_button_color', 'clean' );
                    $btnsize  = $setting->getSetting( 'product_button_size', 'md' );
                    $btnclass = 'ipcpop_btn ipcpop_btn_'.$btnstyle.' ipcpop_btn_'.$btncolor.' ipcpop_btn_'.$btnsize;
            
                    echo '<a href="' . $url . '" class="' . $btnclass . '">' . $button . '</a>';
                }
                ?>
            </div>
        </div>
        
    </div>
</div>