<?php
$setting    = $this->setting;
$content    = $this->content;
$main_class = $this->get_main_class();
$main_style = $this->get_main_style();
$redirect   = $setting->getSetting( 'video_redirect_url', '#' );

//
//Get video url
$url = '#';
if ( $yurl = $setting->getSetting( 'video_url' ) ) {
    $url = $this->fix_youtube_url( $yurl );
    
}
$video_id = $this->get_video_id( $yurl );
//
//Get Width
$width = '100%';
if ( $width_value = $setting->getSetting( 'video_width' ) ){
    $width = $width_value;
}
//
//Height
$height = '100%';
if ( $height_value = $setting->getSetting( 'video_height' ) ){
    $height = $height_value;
}
//
//Autoplay
$auto = $setting->getSetting( 'video_autoplay', 'false' );
if ( $auto == 'true' ) {
    $autoplay = '1';
} else {
    $autoplay = '0';
}
?>
<div class="ipcpop_content ipcpop_content_video" data-redirect="<?php echo $redirect; ?>" data-duration="<?php echo $duration; ?>" data-autoplay="<?php echo $autoplay; ?>">
    <div class="ipcpop_main <?php echo $main_class; ?>" style="<?php echo $main_style; ?>">
        
        <?php
        if ( $title = $setting->getSetting( 'video_title' )) :
        ?>
        <h3 class="ipcpop_content_title"><?php echo $title; ?></h3>
        <?php
        endif;
        ?>
        
        <?php
        if ( $info = $setting->getSetting( 'video_info' )) :
        ?>
        <div class="ipcpop_content_info">
            <p><?php echo $info; ?></p>
        </div>
        <?php
        endif;
        ?>
        
        <div class="ipcpop_content_main ipcpop_content_video_main">
            <div id="ipcpop-video-<?php echo $content->ID; ?>"></div>
        </div>
        <script>
          // 2. This code loads the IFrame Player API code asynchronously.
          var tag = document.createElement('script');

          tag.src = "https://www.youtube.com/iframe_api";
          var firstScriptTag = document.getElementsByTagName('script')[0];
          firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

          // 3. This function creates an <iframe> (and YouTube player)
          //    after the API code downloads.
          var player;
          function onYouTubeIframeAPIReady() {
            player = new YT.Player('ipcpop-video-<?php echo $content->ID; ?>', {
              height: <?php echo $height; ?>,
              width: <?php echo $width; ?>,
              videoId: '<?php echo $video_id; ?>',
              events: {
                'onReady': onPlayerReady,
                'onStateChange': onPlayerStateChange
              }
            });
          }

          // 4. The API will call this function when the video player is ready.
          function onPlayerReady(event) {
            //event.target.stop();
          }
          
            //5.
            function onPlayerStateChange(event) {
                if ( event.data == YT.PlayerState.ENDED ) {
                    window.location.href = '<?php echo $redirect; ?>';
                }
            }
    </script>
    </div>
</div>