<?php
$content = $this->content;
$setting = $this->setting;
$type    = $setting->getSetting( 'type', 'video' );
?>

<h2 class="ipbe-field-title py10"><?php _e( 'Secondary Popup Design', 'wp-popper-pro' ); ?></h2>

<?php
//Background Color
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-form-bgcolor"><?php _e( 'Background Color', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
        <input type="text" class="ipcpop-color-picker" id="input-box-bgcolor" name="box_bgcolor" value="<?php echo $setting->getSetting( 'box_bgcolor', '#f9f9f9' ); ?>" />

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The background color of the box.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

<?php
// Color
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-box-color"><?php _e( 'Text Color', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
        <input type="text" class="ipcpop-color-picker" id="input-box-color" name="box_color" value="<?php echo $setting->getSetting( 'box_color', '#333333' ); ?>" />

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The background color of the box.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

<?php
//Border
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-box-border-width"><?php _e( 'Border', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
        <div class="ipbe-input-group mr5">
            <?php
            $bowidth = $setting->getSetting( 'box_border_width' );
            $bocolor = $setting->getSetting( 'box_border_color', '#222222' );
            $bostyle = $setting->getSetting( 'box_border_style', 'solid' );
            ?>
            <input type="text" id="input-box-border-width" class="ipbe-input ipbe-input-xxs" name="box_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipbe-input-addon">px</div>
        </div>
        <input type="text" class="ipcpop-color-picker" id="input-box-border-color" name="box_border_color" value="<?php echo $bocolor; ?>" />
        <select name="box_border_style" input="input-box-border-style">
            <?php
            $options = array(
                'solid'     => __( 'Solid', 'wp-popper-pro' ),
                'dashed'    => __( 'Dashed', 'wp-popper-pro' ),
                'dotted'    => __( 'Dotted', 'wp-popper-pro' ),
                'double'    => __( 'Double', 'wp-popper-pro' )
            );
            foreach( $options as $key => $label ) 
            {
                $sltd = '';
                if ( $bostyle == $key ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
        </select>

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The border that surrounds the box.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

<?php
//Border radius
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-box-border-radius"><?php _e( 'Border Radius', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">

        <select name="box_border_radius" id="input-box-border-radius">
        <?php
        $current = $setting->getSetting( 'box_border_radius', 'none' );
        $styles  = array(
            'none' => __( 'None', 'wp-popper-pro' ),
            'sm'   => __( 'Small', 'wp-popper-pro' ),
            'md'   => __( 'Medium', 'wp-popper-pro' ),
            'lg'   => __( 'Large', 'wp-popper-pro' )
        );
        foreach( $styles as $key => $label ) {
            $sltd = '';
            if ( $key == $current ) {
                $sltd = ' selected="selected"';
            }
            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
        }
        ?>
        </select>

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The border radius of the box.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>
    
    <?php
    //Font Size
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-box-font-size"><?php _e( 'Font Size', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $font_size = $setting->getSetting( 'box_font_size', 14 );
                ?>
                <input type="text" id="input-box-font-size" class="ipbe-input ipbe-input-xxs" name="box_font_size" value="<?php echo $font_size; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font size of the box.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Font Family
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-box-font-family"><?php _e( 'Font Family', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <?php
            $current = $setting->getSetting( 'box_font_family', 'roboto' );
            $fonts   = IPCPop_Font::getOptions();
            $fname   = IPCPop_Font::getFontName( $current );
            ?>
            <span class="ipbe-font-family">
                <div class="ipbe-menu ipbe-fancy-option">
                    <div class="ipbe-selected">
                        <div class="ipbe-selected-box">
                            <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                        </div>
                        <span class="toggle"></span>
                    </div>
                    <div class="ipbe-select" style="display: none;">
                        <div class="ipbe-select-content">
                            <ul class="clearfix">
                                <?php 
                                foreach( $fonts as $fkey => $label ) :
                                ?>
                                    <li data-select="<?php echo $fkey; ?>">
                                        <strong class="ipbe-select-label">
                                            <?php echo $label; ?>
                                        </strong>
                                    </li>
                                <?php
                                endforeach;
                                ?>
                            </ul>
                        </div>
                    </div>
                    <input type="hidden" name="box_font_family" class="ipbe-input-select" value="<?php echo $current; ?>" />
                </div>
            </span>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font family of the box.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>