<?php
$content = $this->content;
$setting = $this->setting;
$type    = $setting->getSetting( 'type', 'video' );
?>
<?php
//Background Color
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-bgcolor"><?php _e( 'Background Color', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
        <input type="text" class="ipcpop-color-picker" id="input-bgcolor" name="bgcolor" value="<?php echo $setting->getSetting( 'bgcolor', '' ); ?>" />

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The background color of the content block.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

    <?php
    //Input Image
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-background-image"><?php _e( 'Background Image', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <div class="ipbe-upload-image ipbe-clear">
                <div class="ipbe-upload-preview">
                    <?php
                    $setimg = false;
                    if ( $setting ) {
                        if ( $attach_id = $setting->getSetting( 'background_image' ) ) {
                            $setimg = true;
                            $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                        }
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipbe-hide">' . __( 'No image', 'wp-popper-pro' ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', 'wp-popper-pro' ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                    ?>
                </div>
                
                <div class="ipbe-image-field">
                    <div class="ipbe-select-image">
                        <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp-popper-pro' ); ?></p>
                        <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo' ); ?>"
                          data-update="<?php esc_attr_e( 'Choose photo' ); ?>">
                            <i class="ibe ibe-image"></i>
                            <?php _e( 'Select Photo', 'wp-popper-pro' ); ?>
                        </a>
                        <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                            <i class="ibe ibe-ban"></i>
                            <?php _e( 'Clear Photo', 'wp-popper-pro' ); ?>
                        </a>
                    </div>
                    <input type="hidden" name="upload_type" class="ipbe-upload-type" value="background_image" />
                    <input type="hidden" name="background_image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                </div>
            </div>
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The background image of the content block.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>

<?php
//Background Repeat
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-background-repeat"><?php _e( 'Background Image Repeat', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">

        <select name="background_repeat" id="input-background-repeat">
        <?php
        $current = $setting->getSetting( 'background_repeat', 'none' );
        $options = array(
            'none'       => __( 'None', 'wp-popper-pro' ),
            'repeat'     => __( 'Repeat All', 'wp-popper-pro' ),
            'repeat-x'   => __( 'Repeat Horizontal', 'wp-popper-pro' ),
            'repeat-y'   => __( 'Repeat Vertical', 'wp-popper-pro' )
        );
        foreach( $options as $key => $label ) {
            $sltd = '';
            if ( $key == $current ) {
                $sltd = ' selected="selected"';
            }
            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
        }
        ?>
        </select>

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The repeat option of the background image of the content block.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

<?php
//Border
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-border-width"><?php _e( 'Border', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
        <div class="ipbe-input-group mr5">
            <?php
            $bowidth = $setting->getSetting( 'border_width' );
            $bocolor = $setting->getSetting( 'border_color', '#222222' );
            $bostyle = $setting->getSetting( 'border_style', 'solid' );
            ?>
            <input type="text" id="input-border-width" class="ipbe-input ipbe-input-xxs" name="border_width" value="<?php echo $bowidth; ?>">
            <div class="ipbe-input-addon">px</div>
        </div>
        <input type="text" class="ipcpop-color-picker" id="input-border-color" name="border_color" value="<?php echo $bocolor; ?>" />
        <select name="border_style" input="input-border-style">
            <?php
            $options = array(
                'solid'     => __( 'Solid', 'wp-popper-pro' ),
                'dashed'    => __( 'Dashed', 'wp-popper-pro' ),
                'dotted'    => __( 'Dotted', 'wp-popper-pro' ),
                'double'    => __( 'Double', 'wp-popper-pro' )
            );
            foreach( $options as $key => $label ) 
            {
                $sltd = '';
                if ( $bostyle == $key ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
        </select>

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The border that surrounds the content block.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>

<?php
//Border radius
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-border-radius"><?php _e( 'Border Radius', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">

        <select name="border_radius" id="input-border-radius">
        <?php
        $current = $setting->getSetting( 'border_radius', 'none' );
        $styles  = array(
            'none' => __( 'None', 'wp-popper-pro' ),
            'sm'   => __( 'Small', 'wp-popper-pro' ),
            'md'   => __( 'Medium', 'wp-popper-pro' ),
            'lg'   => __( 'Large', 'wp-popper-pro' )
        );
        foreach( $styles as $key => $label ) {
            $sltd = '';
            if ( $key == $current ) {
                $sltd = ' selected="selected"';
            }
            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
        }
        ?>
        </select>

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The border radius of the content block.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>
    
    <?php
    //Font Size
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-font-size"><?php _e( 'Font Size', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $font_size = $setting->getSetting( 'font_size', 14 );
                ?>
                <input type="text" id="input-font-size" class="ipbe-input ipbe-input-xxs" name="font_size" value="<?php echo $font_size; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font size of the text content.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Font Family
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="input-font-family"><?php _e( 'Font Family', 'wp-popper-pro' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <?php
            $current = $setting->getSetting( 'font_family', 'roboto' );
            $fonts   = IPCPop_Font::getOptions();
            $fname   = IPCPop_Font::getFontName( $current );
            ?>
            <span class="ipbe-font-family">
                <div class="ipbe-menu ipbe-fancy-option">
                    <div class="ipbe-selected">
                        <div class="ipbe-selected-box">
                            <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                        </div>
                        <span class="toggle"></span>
                    </div>
                    <div class="ipbe-select" style="display: none;">
                        <div class="ipbe-select-content">
                            <ul class="clearfix">
                                <?php 
                                foreach( $fonts as $fkey => $label ) :
                                ?>
                                    <li data-select="<?php echo $fkey; ?>">
                                        <strong class="ipbe-select-label">
                                            <?php echo $label; ?>
                                        </strong>
                                    </li>
                                <?php
                                endforeach;
                                ?>
                            </ul>
                        </div>
                    </div>
                    <input type="hidden" name="font_family" class="ipbe-input-select" value="<?php echo $current; ?>" />
                </div>
            </span>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font family of the text content.', 'wp-popper-pro' ); ?>
                </div>
            </div>
        </div>
    </div>
    
<?php
//Color
?>
<div class="ipbe-field-row ipbe-field-x">
    <div class="ipbe-form-label col-md-3 col-sm-12">
        <label for="input-color"><?php _e( 'Text Color', 'wp-popper-pro' ); ?></label>
    </div>
    <div class="ipbe-field col-md-9 col-sm-12">
        <input type="text" class="ipcpop-color-picker" id="input-color" name="color" value="<?php echo $setting->getSetting( 'color', '#333333' ); ?>" />

        <div class="ipbe-help">
            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
            <div class="ipbe-help-content ipbe-hide">
                <?php _e( 'The text color of the content.', 'wp-popper-pro' ); ?>
            </div>
        </div>
    </div>
</div>